Package org.apache.catalina.core

## Class Constants

- java.lang.Object
- - org.apache.catalina.core.Constants

    public class Constants
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `JSP_SERVLET_CLASS`
`static int` `MAJOR_VERSION`
`static int` `MINOR_VERSION`
`static java.lang.String` `Package` Deprecated.

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Package

    @Deprecated
    public static final java.lang.String Package

Deprecated.
Unused. Will be removed in Apache Tomcat 10.1.x onwards.

See Also:
  Constant Field Values

#### MAJOR_VERSION

    public static final int MAJOR_VERSION

See Also:
  Constant Field Values

#### MINOR_VERSION

    public static final int MINOR_VERSION

See Also:
  Constant Field Values

#### JSP_SERVLET_CLASS

    public static final java.lang.String JSP_SERVLET_CLASS

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()